﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Guids.cs" company="Roman '4ux-nbIx' Novitsky">
//   Copyright (c) 2012 Roman '4ux-nbIx' Novitsky
// </copyright>
// <summary>
//   Defines the GuidList type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace MonoDevAssist
{
    #region Namespace Imports

    using System;

    #endregion


    /// <summary>
    /// Describes and manipulates the GUID list.
    /// </summary>
    internal static class GuidList
    {
        #region Constants and Fields

        public const string MonoDevAssistCmdSetGuidString = "a575c51d-b0b6-4058-9a14-ac2757643529";
        public const string MonoDevAssistItemCommandSetGuidString = "8386E099-4D62-4DD6-B409-3EF9CCD75B6C";

        public const string MonoDevAssistPackageGuidString = "8f05c4f9-c326-4a4f-a135-1cba2408c87a";

        public const string MonoTouch26ProjectTypeGuidString = "E613F3A2-FE9C-494F-B74E-F63BCB86FEA6";
        public const string MonoTouch28ProjectTypeGuidString = "6BC8ED88-2882-458C-8E55-DFD12B67127B";

        public const string MonoAndroidProjectTypeGuidString = "EFBA0AD7-5A72-4C68-AF49-83D382785DCF";

        public static readonly Guid MonoDevAssistCmdSetGuid = new Guid(MonoDevAssistCmdSetGuidString);

        public static readonly Guid MonoDevAssistItemCommandSetGuid = new Guid(MonoDevAssistItemCommandSetGuidString);

        #endregion
    }
}