﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MonoTouchFlavorProjectFactory.cs" company="Roman '4ux-nbIx' Novitsky">
//   Copyright (c) 2012 Roman '4ux-nbIx' Novitsky
// </copyright>
// <summary>
//   Defines the MonoTouchFlavorProjectFactory type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace MonoDevAssist
{
  using System;

  using Microsoft.VisualStudio.Shell.Flavor;


  internal abstract class MonoTouchFlavorProjectFactory : FlavoredProjectFactoryBase
  {
    protected readonly MonoDevAssistPackage Package;

    protected MonoTouchFlavorProjectFactory(MonoDevAssistPackage package)
    {
      Package = package;
    }

    protected override object PreCreateForOuter(IntPtr outerProjectIUnknown)
    {
      return new MonoTouchFlavePackageProject(Package);
    }
  }
}